#
# spec file for package crack-attack-sounds
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oname   crack-attack

Name:           %{oname}-sounds
Version:        1.1.14
Release:        4.1
Summary:        Sounds and music for Crack Attack!
License:        GPL-2.0+
Group:          Amusements/Games/Action/Other
Url:            http://www.miguev.net/blog/en/2010/09/02/audio-support-for-crack-attack/
Source0:        %{oname}-miguev-sounds.tar.bz2
Source1:        %{oname}-miguev-music.tar.bz2
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif
Requires:       %{oname}
BuildArch:      noarch

%description
Sounds and music for Crack Attack! Tetris clone.

Authors:
--------
    Miguel Angel Vilela <miguev@gmail.com>

%prep
%setup -q -b 1 -n data

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{oname}/{music,sounds}

install -Dm 0644 music/* %{buildroot}%{_datadir}/%{oname}/music
install -Dm 0644 sounds/* %{buildroot}%{_datadir}/%{oname}/sounds

%if 0%{?suse_version}
    %fdupes -s %{buildroot}%{_prefix}
%endif

%files
%defattr(-,root,root,-)
%dir %_datadir/%{oname}
%_datadir/%{oname}/music
%_datadir/%{oname}/sounds

%changelog
* Fri Nov 14 2014 nemysis@gmx.ch
- Use %%{oname} instead of crack-attack
- Change Summary and Description use Crack Attack! instead of
  crack-attack
- Add BuildRequires for fdupes
- Use check for openSUSE %%if 0%%{?suse_version}
- Add Requires: %%{oname}
* Sun Sep 28 2014 nemysis@gmx.ch
- Change URL
* Sun Sep 28 2014 nemysis@gmx.ch
- Remove Requires: crack-attack >= 1.1.14
* Sun Sep 28 2014 nemysis@gmx.ch
- Fix typo, "." and remove blank characters
- Fix paths that match crack-attack
* Fri Mar 23 2012 jengelh@medozas.de
- SPDX license field
* Tue Sep 12 2006 anicka@suse.cz
- package created
